Bug 598965 - selecting a saved search from the SearchBar suggestions does not execute it
selecting a saved search from the SearchBar suggestions does not execute it
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Sunil Kondkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 08:52 EDT by Joseph Marques
Modified: 2010-08-12 12:59 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:59:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2010-06-02 08:52:13 EDT
Description of problem:

When using the down-arrow image/icon on the right far of the SearchBar, selecting and activating one of the saved searches should also immediately execute that search.

How reproducible:

Every time.

Steps to Reproduce:
1. go to the resource browser
2. click the down-array image/icon on the right far of the SearchBar
3. select (left mouse click) one of the saved searches
  
Actual results:

* the saved search is activated - the search expression/pattern fills in the SearchBar and the name fills in the green label.  
* but the search expression isn't actually executed, which means that the resource results below it do not change.

Expected results:

* the saved search is activated - the search expression/pattern fills in the SearchBar and the name fills in the green label.
* the search should be immediately executed upon selection, and the resource table below it should reflect the results of the search
Comment 1 Joseph Marques 2010-06-02 09:49:44 EDT
commit e5ccfecc0cd3693316579b9ad27611a9c43f61c5
Author: Joseph Marques <joseph@redhat.com>
Date:   Wed Jun 2 09:46:40 2010 -0400

BZ-598965: when a saved search is selected from the drop-down list, execute that search immediately
Comment 2 Sunil Kondkar 2010-06-03 06:21:06 EDT
Verified on jon build#197 (Revision: 10629)

Saved a search (Ex: plugin="apache") with a name and observed that when the search is selected from the drop-down list, the search expression is displayed in searchbar, the saved search name fills in the green label, search gets executed immediately and result of the search is displayed.
Comment 3 Corey Welton 2010-08-12 12:59:50 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.